org.gradle.plugins.javascript.base

## Class JavaScriptExtension

- java.lang.Object
- - org.gradle.plugins.javascript.base.JavaScriptExtension

-     public class JavaScriptExtension
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GOOGLE_APIS_REPO_URL`
    `static String` | `GRADLE_PUBLIC_JAVASCRIPT_REPO_URL`
    `static String` | `NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptExtension(org.gradle.api.internal.artifacts.ResolverFactory resolverFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArtifactRepository` | `getGoogleApisRepository()`
    `ArtifactRepository` | `getGradlePublicJavaScriptRepository()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

          public static final String GRADLE_PUBLIC_JAVASCRIPT_REPO_URL

      See Also:
        Constant Field Values

    - #### GOOGLE_APIS_REPO_URL

          public static final String GOOGLE_APIS_REPO_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JavaScriptExtension

          public JavaScriptExtension(org.gradle.api.internal.artifacts.ResolverFactory resolverFactory)

  - ### Method Detail

    - #### getGradlePublicJavaScriptRepository

          public ArtifactRepository getGradlePublicJavaScriptRepository()

    - #### getGoogleApisRepository

          public ArtifactRepository getGoogleApisRepository()